Mcp Tool Groups
Update MCP Tool Group
Partial update. Scalar fields preserve the current value when omitted. Array fields are replace-on-send: an empty array clears all attachments in that dimension.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
idinteger
name?string
Length
length <= 255description?string
enabled?boolean
tools?array<object>
virtual_key_ids?array<string>
team_ids?array<string>
customer_ids?array<string>
user_ids?array<string>
provider_names?array<string>
api_key_ids?array<integer>
Response Body
curl -X PUT "https://loading/{AI_GATEWAY_URL}/api/mcp/tool-groups/0" \ -H "Content-Type: application/json" \ -d '{}'{
"mcp_tool_group": {
"id": 0,
"name": "string",
"description": "string",
"enabled": true,
"tools": [
{
"mcp_client_id": "string",
"tool_names": [
"string"
]
}
],
"virtual_key_ids": [
"string"
],
"team_ids": [
"string"
],
"customer_ids": [
"string"
],
"user_ids": [
"string"
],
"provider_names": [
"string"
],
"api_key_ids": [
0
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}Empty
Empty
{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}